unit Noten2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Punkte: Integer;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  try
    Punkte := StrToInt (Edit1.Text);
    if (Punkte >= 95) and (Punkte <= 100) then
      Label1.Caption := 'sehr gut';
    if (Punkte >= 80) and (Punkte < 95) then
      Label1.Caption := 'gut';
    if (Punkte >= 65) and (Punkte < 80) then
      Label1.Caption := 'befriedigend';
    if (Punkte >= 45) and (Punkte < 65) then
      Label1.Caption := 'ausreichend';
    if (Punkte >= 25) and (Punkte < 45) then
      Label1.Caption := 'mangelhaft';
    if (Punkte >= 0) and (Punkte < 25) then
      Label1.Caption := 'ungenügend';
    if (Punkte > 100) or (Punkte < 0) then
      Label1.Caption := 'gemogelt!';
  except
    Label1.Caption := 'Quatsch!';
  end;
end;

end.
